org.apache.catalina.mapper

## Class Mapper.MapElement<T>

- java.lang.Object
- - org.apache.catalina.mapper.Mapper.MapElement<T>

- Direct Known Subclasses:
    Mapper.ContextVersion, Mapper.MappedContext, Mapper.MappedHost, Mapper.MappedWrapper
  Enclosing class:
    Mapper

      protected abstract static class Mapper.MapElement<T>
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `name`
    `T` | `object`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Mapper.MapElement(String name, T object)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public final String name

    - #### object

          public final T object

  - ### Constructor Detail

    - #### Mapper.MapElement

          public Mapper.MapElement(String name,
                           T object)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.